# RefitOption Struct Reference

Option to refit a vehicle chain. More...

## Public Member Functions
FORCEINLINE bool | operator!= (const RefitOption &other) const
| Inequality operator for RefitOption.
FORCEINLINE bool | operator== (const RefitOption &other) const
| Equality operator for RefitOption.
## Data Fields
CargoID | cargo
| Cargo to refit to.
byte | subtype
| Subcargo to use.
uint16 | value
| GRF-local String to display for the cargo.
EngineID | engine
| Engine for which to resolve value.

## Detailed Description

Option to refit a vehicle chain.

Definition at line 275 of file vehicle_gui.cpp.

## Member Function Documentation

FORCEINLINE bool RefitOption::operator!= | ( | const RefitOption & | other | ) | const`[inline]`

Inequality operator for RefitOption.

Parameters:

  | other | Compare to this RefitOption.

Returns:
  True if both RefitOption are different.

Definition at line 286 of file vehicle_gui.cpp.

References cargo, and value.

FORCEINLINE bool RefitOption::operator== | ( | const RefitOption & | other | ) | const`[inline]`

Equality operator for RefitOption.

Parameters:

  | other | Compare to this RefitOption.

Returns:
  True if both RefitOption are equal.

Definition at line 296 of file vehicle_gui.cpp.

References cargo, and value.

The documentation for this struct was generated from the following file:

- src/vehicle_gui.cpp